%ifarch %{x8664} %{armv7} %{armv8} aarch64 ppc64
%define		with_criu	1
%endif

%ifarch %{ix86} %{x8664} %{arm} aarch64 mips64 mips64le ppc64 ppc64le s390x
%define		with_man	1
%endif

Summary:	OCI runtime written in C
Name:		crun
Version:	1.7.2
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	https://github.com/containers/crun/releases/download/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	7f1eb2b6d7bbabc4bb7c70b45bcf61cb
URL:		https://github.com/containers/crun
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11.2
%{?with_criu:BuildRequires:	criu-devel >= 3.16.1}
%{?with_man:BuildRequires:	go-md2man}
BuildRequires:	libcap-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libseccomp-devel
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	linux-libc-headers >= 7:3.18
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:	rpmbuild(macros) >= 2.007
BuildRequires:	systemd-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yajl-devel >= 2.0.0
Requires:	yajl >= 2.0.0
%{?with_criu:Suggests:	criu-libs >= 3.16.1}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
crun is a runtime for running OCI containers.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcrun.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/crun
%{?with_man:%{_mandir}/man1/crun.1*}
%changelog
* Wed Nov 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crun.git;a=log;h=master

* Tue Nov 29 2022 Jan Palus <atler@pld-linux.org> ae06666
- up to 1.7.2

* Mon Nov 07 2022 Jan Palus <atler@pld-linux.org> 5c70b1e
- up to 1.7

* Wed Sep 07 2022 Jan Palus <atler@pld-linux.org> a92223c
- BR: linux-libc-headers >= 3.18 for bpf support

* Wed Sep 07 2022 Jan Palus <atler@pld-linux.org> c830772
- require criu >= 0.16.1 for all supported features

* Wed Sep 07 2022 Jan Palus <atler@pld-linux.org> a1ee07a
- up to 1.6

* Wed Jul 20 2022 Jan Palus <atler@pld-linux.org> 8a17a2c
- up to 1.5

* Wed Apr 27 2022 Jan Palus <jpalus@fastmail.com> 31dbaf7
- up to 1.4.5

* Thu Mar 24 2022 Jan Palus <atler@pld-linux.org> 589deea
- up to 1.4.4 (fixes CVE-2022-27650)

* Thu Mar 03 2022 Jan Palus <atler@pld-linux.org> 282d05c
- up to 1.4.3

* Wed Jan 26 2022 Jan Palus <atler@pld-linux.org> 278c70a
- up to 1.4.2

* Fri Jan 14 2022 Jan Palus <atler@pld-linux.org> 677190f
- up to 1.4.1

* Wed Dec 22 2021 Jan Palus <atler@pld-linux.org> 24e2049
- up to 1.4

* Fri Nov 05 2021 Jan Palus <atler@pld-linux.org> 5b7a88c
- up to 1.3

* Sat Oct 09 2021 Jan Palus <atler@pld-linux.org> 362f396
- up to 1.2

* Mon Sep 27 2021 Jan Palus <atler@pld-linux.org> 41e3267
- up to 1.1

* Wed Aug 25 2021 Jan Palus <atler@pld-linux.org> ac59a83
- up to 1.0

* Mon Jul 26 2021 Jan Palus <atler@pld-linux.org> 181f9dc
- align arch list with criu.spec

* Mon Jul 26 2021 Jan Palus <atler@pld-linux.org> 939fec3
- up to 0.21

* Wed Jun 09 2021 Jan Palus <atler@pld-linux.org> 574879b
- up to 0.20.1

* Wed Jun 02 2021 Jan Palus <atler@pld-linux.org> 97c04aa
- up to 0.20

